ホーム > お知らせ > WordPress4.4対応について

WordPress4.4対応について

2015 年 12 月 3 日

こんにちは。まもなくWordPress4.4がリリースされる予定ですが、V4.4にてWelcartに不具合が出ましたので修正対応いたしました。WordPress4.4対応バージョンは、Welcart1.6.3となります。


旧バージョンで、WordPressを4.4にアップグレードすると以下の様な不具合が起こります。

  • 管理画面にて、商品情報編集画面(新規商品追加画面)が表示されない
  • 新しいリッチコンテンツ(oEmbed)で、商品詳細ページがうまく表示されない(注1)
  • SSL使用時、カートページのサムネイルが表示されない
  • wp_title非推奨対応(注2)



※注1
リッチコンテンツ(oEmbed)を有効にするには、テーマの functions.php に下記のコードを追加する必要があります。
$GLOBALS[‘content_width’] = 770;


※注2
この修正はWelcart本体の修正となりますが、古いテーマを利用している場合は注意が必要です。
古いWelcart Default テーマをご利用の方はテンプレートの修正が必要となります。現在のWelcart Default テーマのheader.phpテンプレートにはタイトルタグ(<title>)が有りません。同時に functions.php には add_theme_support(‘title-tag’); が記述されています。usc-e-shop に同梱されている最新の Welcart Default テーマを参考に以下のファイルを修正してください。なお、これは修正しなくても直ちに影響が出るものではありません。

・header.php
 タイトルタグ(<title>~</title>)を削除する

・functions.php
 add_theme_support(‘title-tag’); の1行を追加する


WordPress4.4を利用するには、Welcart1.6.3以降をご利用ください。

カテゴリー: お知らせ タグ:
関連記事